<nav>
  <a routerLink="/login">Вход</a>
  <a routerLink="/registration">Регистрация</a>
</nav>

<div class="container">
  <h3>Регистрация</h3>
  <form [formGroup]="registrationForm" noValidate (ngSubmit)="submit()">

    <div class="form-group">
      <label>Email:</label>
      <input class="form-control" formControlName="email" required>

      <div class="alert alert-danger"
           *ngIf="registrationForm.controls['email'].invalid && registrationForm.controls['email'].touched">
        Не указан email
      </div>

    </div>

    <div class="form-group">
      <label>Пароль:</label>
      <input class="form-control" formControlName="password" required>

      <div class="alert alert-danger"
           *ngIf="registrationForm.controls['password'].invalid && registrationForm.controls['password'].touched">
        Не указан пароль
      </div>

      <div class="form-group">
        <label>Фамилия:</label>
        <input class="form-control" formControlName="surname" required>

        <div class="alert alert-danger"
             *ngIf="registrationForm.controls['surname'].invalid && registrationForm.controls['surname'].touched">
          Не указана фамилия
        </div>
      </div>

        <div class="form-group">
          <label>Имя:</label>
          <input class="form-control" formControlName="name" required>

          <div class="alert alert-danger"
               *ngIf="registrationForm.controls['name'].invalid && registrationForm.controls['name'].touched">
            Не указано имя
          </div>
        </div>

    </div>

    <div class="form-group">
      <button class="btn btn-default" [disabled]="registrationForm.invalid">
        Регистрация
      </button>
    </div>
  </form>
</div>




